Package com.collibra.dgc.core.api.dto.usergroup

# Class AddUserGroupRequest

Object
AddUserGroupRequest

All Implemented Interfaces:
  `Serializable`

public class AddUserGroupRequest extends Object implements Serializable
The properties of the user group to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddUserGroupRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUserGroupRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddUserGroupRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  Required. The name of the user group.
  `int`
  `hashCode()`
  `boolean`
  `isLocallyManaged()`
  Deprecated.
  This feature will be dropped.
  `void`
  `setLocallyManaged(boolean locallyManaged)`
  Deprecated.
  This feature will be dropped.
  `void`
  `setName(String name)`
  Required. The name of the user group.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddUserGroupRequest

    public AddUserGroupRequest()

- ## Method Details

  - ### builder

    public static AddUserGroupRequest.Builder builder()

  - ### getName

    public String getName()
    Required. The name of the user group. Should be unique within all user groups.

  - ### isLocallyManaged

    @Deprecated public boolean isLocallyManaged()
    Deprecated.
    This feature will be dropped.
    The locallyManaged flag of the user group. Indicates whether this UserGroup is locally managed or not.

  - ### setName

    public void setName(String name)
    Required. The name of the user group. Should be unique within all user groups.

  - ### setLocallyManaged

    @Deprecated public void setLocallyManaged(boolean locallyManaged)
    Deprecated.
    This feature will be dropped.
    The locallyManaged flag of the user group. Indicates whether this UserGroup is locally managed or not.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`